Bug 456823 - Pressing ESC key inside Spectacle's annotation mode inappropriately quits the app
Summary: Pressing ESC key inside Spectacle's annotation mode inappropriately quits the...
Status: RESOLVED FIXED
Alias: None
Product: Spectacle
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Antonio Prcela
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2022-07-17 14:57 UTC by D3XT3R
Modified: 2022-07-27 22:55 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description D3XT3R 2022-07-17 14:57:57 UTC
Currently when you're notating an image in Spectacle and hit the ESC key, Spectacle closes and you lose your screenshot and all your annotations :(

The suggestion is that when pressing the ESC key the action is to exit the tool currently in use (arrow, line, text, pen, etc) and automatically return the focus to the selection tool or no tool at all.
Comment 1 Nate Graham 2022-07-18 20:38:47 UTC
Agreed.
Comment 2 Bug Janitor Service 2022-07-23 15:24:48 UTC
A possibly relevant merge request was started @ https://invent.kde.org/graphics/spectacle/-/merge_requests/147
Comment 3 Antonio Prcela 2022-07-23 15:25:15 UTC
as written in commit msg:

"User's request is to only exit current tool in annotator.
That'd be something upstream if I'm not mistaken.
This does not solve the feature request 100%, instead it only
improves the behaviour a bit."
Comment 4 D3XT3R 2022-07-25 22:40:24 UTC
(In reply to Antonio Prcela from comment #3)
> as written in commit msg:
> 
> "User's request is to only exit current tool in annotator.
> That'd be something upstream if I'm not mistaken.
> This does not solve the feature request 100%, instead it only
> improves the behaviour a bit."

You are correct, this only lessens the loss.
With the proposed solution, you didn't lose the screenshot, but I lost all the annotations made :(
Comment 5 Antonio Prcela 2022-07-26 06:18:13 UTC
(In reply to D3XT3R from comment #4)
> (In reply to Antonio Prcela from comment #3)
> > as written in commit msg:
> > 
> > "User's request is to only exit current tool in annotator.
> > That'd be something upstream if I'm not mistaken.
> > This does not solve the feature request 100%, instead it only
> > improves the behaviour a bit."
> 
> You are correct, this only lessens the loss.
> With the proposed solution, you didn't lose the screenshot, but I lost all
> the annotations made :(

That seems to depend on your version of kImageannotator. Doesn't lose annotations on my end when i press ESC.
kImageannotator version: 0.6.1
do: `ls /usr/lib/ | grep libkImage` and see what version number you got at, for example: libkImageAnnotator.so.0.6.1
iirc 0.6.0 is atm the latest one, i build 0.6.1 myself from source
Comment 6 Antonio Prcela 2022-07-26 06:26:29 UTC
Git commit dd1d7baecd7a3d9356992151e57f1c380e9500c8 by Antonio Prcela.
Committed on 26/07/2022 at 06:25.
Pushed by aprcela into branch 'release/22.08'.

using ESC while in annotation mode will close annotator instead of closing spectacle

User's request is to only exit current tool in annotator.
That'd be something upstream if I'm not mistaken.
This does not solve the feature request 100%, instead it only
improves the behaviour a bit.

M  +8    -0    src/Gui/KSMainWindow.cpp

https://invent.kde.org/graphics/spectacle/commit/dd1d7baecd7a3d9356992151e57f1c380e9500c8
Comment 7 Antonio Prcela 2022-07-26 06:28:46 UTC
Git commit 37ee395ca0e1ef05febc82daa3a2ffb2431a65b5 by Antonio Prcela.
Committed on 26/07/2022 at 06:28.
Pushed by aprcela into branch 'master'.

using ESC while in annotation mode will close annotator instead of closing spectacle

User's request is to only exit current tool in annotator.
That'd be something upstream if I'm not mistaken.
This does not solve the feature request 100%, instead it only
improves the behaviour a bit.


(cherry picked from commit dd1d7baecd7a3d9356992151e57f1c380e9500c8)

M  +8    -0    src/Gui/KSMainWindow.cpp

https://invent.kde.org/graphics/spectacle/commit/37ee395ca0e1ef05febc82daa3a2ffb2431a65b5